<?xml version="1.0" encoding="UTF-8"?>

<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<groupId>com.gic</groupId>
		<artifactId>gic-pom-base</artifactId>
		<version>3.0-SNAPSHOT</version>
		<relativePath/>
	</parent>
	<modelVersion>4.0.0</modelVersion>

	<artifactId>haoban-manage3-operation-web</artifactId>
	<version>${libraryVersion}</version>
	<packaging>war</packaging>

	<name>haoban-manage3-operation-web Maven Webapp</name>

	<properties>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
		<commonVersion>3.0-SNAPSHOT</commonVersion>
		<libraryVersion>3.0-SNAPSHOT</libraryVersion>
	</properties>
	<dependencyManagement>
		<dependencies>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-framework-bom</artifactId>
				<version>4.2.4.RELEASE</version>
				<type>pom</type>
				<scope>import</scope>
			</dependency>
			<dependency>
				<groupId>com.alibaba</groupId>
				<artifactId>fastjson</artifactId>
				<version>1.2.47</version>
			</dependency>
		</dependencies>
	</dependencyManagement>
	<dependencies>
		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>haoban-common</artifactId>
			<version>${haoban-common}</version>
		</dependency>
		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>gic-base-api</artifactId>
			<version>${gic-base-api}</version>
		</dependency>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.11</version>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.springframework.session</groupId>
			<artifactId>spring-session-data-redis</artifactId>
			<version>1.2.1.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>redis.clients</groupId>
			<artifactId>jedis</artifactId>
			<version>2.8.1</version>
		</dependency>
		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>gic-dict-api</artifactId>
			<version>${gic-dict-api}</version>
		</dependency>
		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>gic-platform-config</artifactId>
			<version>${gic-platform-config}</version>
		</dependency>
		<dependency>
			<groupId>net.sourceforge.jexcelapi</groupId>
			<artifactId>jxl</artifactId>
			<version>2.6.12</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi</artifactId>
			<version>3.9</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml</artifactId>
			<version>3.9</version>
		</dependency>
		<dependency>
			<groupId>org.apache.poi</groupId>
			<artifactId>poi-ooxml-schemas</artifactId>
			<version>3.9</version>
		</dependency>
		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>haoban-manage3-api</artifactId>
			<version>${haoban-manage3-api}</version>
		</dependency>
		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>haoban-operation-api</artifactId>
			<version>${haoban-operation-api}</version>
		</dependency>
		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>haoban-config</artifactId>
			<version>${haoban-config}</version>
		</dependency>
		<dependency>
			<groupId>javax.servlet</groupId>
			<artifactId>javax.servlet-api</artifactId>
			<version>3.1.0</version>
			<scope>provided</scope>
		</dependency>
		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>gic-thirdparty-api</artifactId>
			<version>${gic-thirdparty-api}</version>
		</dependency>

		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>gic-thirdparty-sdk</artifactId>
			<version>${gic-thirdparty-sdk}</version>
		</dependency>

		<dependency>
			<groupId>com.gic.operation</groupId>
			<artifactId>gic-operation-api</artifactId>
			<version>${gic-operation-api}</version>
		</dependency>

		<dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-enterprise-api</artifactId>
            <version>${gic-enterprise-api}</version>
        </dependency>
        <dependency>
            <groupId>com.gic</groupId>
            <artifactId>gic-clerk-api</artifactId>
            <version>${gic-clerk-api}</version>
        </dependency>
        
        <dependency>
			<groupId>com.gic</groupId>
			<artifactId>gic-quartz-api</artifactId>
			<version>${gic-quartz-api}</version>
		</dependency>

		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>haoban-task-manage-api</artifactId>
			<version>${haoban-task-manage-api}</version>
		</dependency>

		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>sharing-core-api</artifactId>
			<version>${sharing-core-api}</version>
		</dependency>

		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>haoban-app-customer-api</artifactId>
			<version>${haoban-app-customer-api}</version>
		</dependency>

		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>gic-member-tag-api</artifactId>
			<version>${gic-member-tag-api}</version>
		</dependency>

		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>task-allocation-sdk</artifactId>
			<version>${task-allocation-sdk}</version>
		</dependency>

		<dependency>
			<groupId>com.gic</groupId>
			<artifactId>gic-wechat-api</artifactId>
			<version>${gic-wechat-api}</version>
		</dependency>
		  <dependency>
            <groupId>com.gic.authcenter</groupId>
            <artifactId>gic-authcenter-commons</artifactId>
            <version>${gic-authcenter-commons}</version>
        </dependency>
    </dependencies>

	<build>
		<finalName>haoban-manage3-operation-web</finalName>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-compiler-plugin</artifactId>
				<configuration>
					<encoding>UTF-8</encoding>
					<source>1.8</source>
					<target>1.8</target>
					<compilerArgs>
						<arg>-parameters</arg>
					</compilerArgs>
				</configuration>
			</plugin>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-dependency-plugin</artifactId>
				<executions>
					<execution>
						<id>copy-dependencies</id>
						<phase>package</phase>
						<goals>
							<goal>copy-dependencies</goal>
						</goals>
						<configuration>
							<type>jar</type>
							<includeTypes>jar</includeTypes>
							<outputDirectory>
								${project.build.directory}/lib
							</outputDirectory>
						</configuration>
					</execution>
				</executions>
			</plugin>

			<plugin>
				<groupId>org.apache.tomcat.maven</groupId>
				<artifactId>tomcat7-maven-plugin</artifactId>
				<version>2.2</version>
				<configuration>
					<path>/haoban-manage3-operation-web</path>
					<port>9908</port>
					<uriEncoding>UTF-8</uriEncoding>
				</configuration>
			</plugin>
		</plugins>
	</build>
</project>
